maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Karl Heinz Marbaise <khmarba...@gmx.de>
Subject Re: status of last plugins release with Maven 2.2.1 and Java 5 requirements
Date Tue, 03 Mar 2015 07:27:20 GMT
Hi Kristian,

jar-plugin is only one issue left....where i would like to get help......


On 3/3/15 8:15 AM, Kristian Rosenvold wrote:
> I can do jar-plugin and verifier-plugin, will do that together with
> assembly 2.6.4 later this week/this weekend.
>
> Kristian
>
> 2015-03-03 5:45 GMT+01:00 Hervé BOUTEMY <herve.boutemy@free.fr>:
>> Hi Maven devs,
>>
>> We're now near the objective [1]
>>
>> On 49 plugins, 37 reached the target (with m-pmd-p requiring Java 6 instead of
>> 5) and 2 already jumped to Maven 3.0 requirement
>> And maven-stage-plugin is on vote
>>
>> = 40 from 49: more than 80% of the job is done, great!
>>
>> Thank you to those who worked on this, particularly Karl Heinz who did a great
>> part of it.
>>
>> This lets 9 plugins to release:
>> - maven-scm-plugin
>> - maven-docck-plugin
>> - maven-jar-plugin
>> - maven-patch-plugin
>> - maven-verifier-plugin
>> - maven-archetype-plugin
>> - maven-eclipse-plugin
>> - maven-compiler-plugin
>> - maven-doap-plugin
>>
>> Are there volunteers on each one, please?
>>
>> IMHO, we should write down the list of plugins and versions to the Maven 2 EOL
>> page [2], to clearly store this info while it is available (copy/pasting the
>> report) and link to versioned documentation of every plugin: if no objection,
>> I'll do it in a few days.
>>
>> I think that we should also have a convention on each plugin (and perhaps each
>> component) to document requirements history: I have no precise idea on the way
>> to do that. Addition to plugin-info.html (with parameters in pom.xml)? Add a
>> standard paragraph in index.html (and update maven-docck-plugin to check for
>> it)? Any idea?
>>
>> Then we'll be able to upgrade to Maven 3.0 and Java 6 requirements in parent
>> pom.
>> And of course announce to users the plan towards plugins 3.x for Maven 3.0 and
>> JDK 6 requirement (and remember full Maven 2.x EOL, that is not only Maven,
>> but also plugins).
>>
>> Really good job: this gives a great consistency step that was lacking before.
>>
>> Regards,
>>
>> Hervé
>>
>> [1] https://builds.apache.org/view/M-R/view/Maven/job/dist-tool-plugin/site/dist-tool-prerequisites.html
>>
>> [2] http://maven.apache.org/maven-2.x-eol.html
>>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message